<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [createDummyContract](./bitburner.codingcontract.createdummycontract.md)

## CodingContract.createDummyContract() method

Generate a dummy contract.

**Signature:**

```typescript
createDummyContract(type: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of contract to generate |

**Returns:**

void

## Remarks

RAM cost: 2 GB

Generate a dummy contract on the home computer with no reward. Used to test various algorithms.

